# $Revision: 1.27.2.2 $, $Date: 2003/04/28 12:51:50 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Font
%define		pnam	TFM
Summary:	Font::TFM Perl module
Summary(cs):	Modul Font::TFM pro Perl
Summary(da):	Perlmodul Font::TFM
Summary(de):	Font::TFM Perl Modul
Summary(es):	Mdulo de Perl Font::TFM
Summary(fr):	Module Perl Font::TFM
Summary(it):	Modulo di Perl Font::TFM
Summary(ja):	Font::TFM Perl ⥸塼
Summary(ko):	Font::TFM  
Summary(no):	Perlmodul Font::TFM
Summary(pl):	Modu Perla Font::TFM
Summary(pt):	Mdulo de Perl Font::TFM
Summary(pt_BR):	Mdulo Perl Font::TFM
Summary(ru):	  Perl Font::TFM
Summary(sv):	Font::TFM Perlmodul
Summary(uk):	  Perl Font::TFM
Summary(zh_CN):	Font::TFM Perl ģ
Name:		perl-Font-TFM
Version:	0.130
Release:	3
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
Patch0:		%{name}-fontpath.patch
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Font::TFM - read and work with TeX font metric files.

%description -l pl
Font::TFM umoliwia prac na plikach metryk fontw TeXa.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL </dev/null
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/Font/TFM.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Font-TFM.spec,v $
Revision 1.27.2.2  2003/04/28 12:51:50  ankry
- really rel++

Revision 1.27.2.1  2003/03/13 00:57:20  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.27  2003/02/25 00:39:23  radek
- use the __perl macro

Revision 1.26  2003/02/18 15:32:32  ankry
- massive attack: change CPAN URLs

Revision 1.25  2002/07/23 11:16:37  ankry
- be non-interactive
- added patch setting path to .tfm fonts in PLD
- translations, cleaning
- release 2

Revision 1.24  2002/07/11 11:43:43  qboosh
- new %%doc, cosmetics

Revision 1.23  2002/07/11 07:59:21  depesz
- new version; should work; STBR

Revision 1.22  2002/07/10 08:47:19  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.21  2002/05/11 14:28:08  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.20  2002/02/25 10:31:30  depesz
cleanup; revision++

Revision 1.19  2002/02/22 23:29:28  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/02/13 14:14:42  depesz
automatic: Source location unified, Relase Up

Revision 1.17  2002/02/10 15:26:27  depesz
adapterized

Revision 1.16  2002/01/18 02:14:18  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/11/28 15:20:16  mis
- buildarch noarch; release++

Revision 1.14  2001/10/01 09:48:30  mis
- autoupdated to 0.110

Revision 1.13  2001/04/17 12:09:19  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.12  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.11  2001/02/19 13:48:21  mis
- updated (by autoup) to 0.100

Revision 1.10  2001/01/04 19:34:12  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.9  2000/09/05 07:21:49  kloczek
- updated to 0.074.

Revision 1.8  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/19 22:53:34  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:52  baggins
- translated kloczkish into english

Revision 1.3  1999/11/07 09:17:09  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/11/05 16:52:52  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 19:29:03  pius
- initial release
